# Poco::Data::SQLite

# class TableLockedException

Library: Data/SQLite
Package: SQLite
Header: Poco/Data/SQLite/SQLiteException.h

## Inheritance

Direct Base Classes: LockedException

All Base Classes: Poco::Data::DataException, LockedException, SQLiteException, Poco::Exception, Poco::IOException, Poco::RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### TableLockedException

TableLockedException(
int code = 0
);

### TableLockedException

TableLockedException(
const TableLockedException & exc
);

### TableLockedException

TableLockedException(
const std::string & msg,
int code = 0
);

### TableLockedException

TableLockedException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### TableLockedException

TableLockedException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~TableLockedException

~TableLockedException();

## Member Functions

### className

const char * className() const;

See also: Poco::Data::SQLite::LockedException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const;

See also: Poco::Data::SQLite::LockedException::name()

### operator =

TableLockedException & operator = (
const TableLockedException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Data::SQLite::LockedException::rethrow()